Bug 1306120 - [GSS] [RFE] Change the glusterd log file name to glusterd.log
Summary: [GSS] [RFE] Change the glusterd log file name to glusterd.log
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Atin Mukherjee
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: 1348944 1351503 1351530 1352772
TreeView+ depends on / blocked
 
Reported: 2016-02-10 04:45 UTC by Bipin Kunal
Modified: 2017-03-23 05:26 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: Enhancement
Doc Text:
Previously, the glusterd log file was named etc-glusterfs-glusterd.vol.log. This update changes the file name to glusterd.log. The file is still found in the /var/log/glusterfs directory.
Clone Of:
: 1348944 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:26:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Bipin Kunal 2016-02-10 04:45:48 UTC
Description of problem:
I am not aware of logic behind the glusterd log file name which is           "etc-glusterfs-glusterd.vol.log' at present.

But I suggest to change the file name to glusterd.log.

Comment 2 Atin Mukherjee 2016-02-11 04:04:18 UTC
Vijay has posted a patch http://review.gluster.org/#/c/13426/ upstream

Comment 3 Mike McCune 2016-03-28 23:43:17 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 11 SATHEESARAN 2016-10-25 07:55:28 UTC
Tested with RHGS 3.2.0 interim build ( glusterfs-3.8.4-3.el7rhgs & glusterfs-3.8.4-3.el6rhs )

glusterd logs are available with the name 'glusterd.log' under /var/log/glusterfs

Comment 15 Atin Mukherjee 2017-03-06 05:07:26 UTC
LGTM :)

Comment 17 errata-xmlrpc 2017-03-23 05:26:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.